function foxfm_tm_pros(doc)
{
	try {
		if(doc.location.href.match("010_transfer/transfermarkt.php")) 
		{
			// alert(doc.location.href);
			var tbl = doc.getElementsByTagName("table");
			var colspanAdd = 0;
			//alert("hit: will search " + tbl.length + " table(s)");
			for(var i=0; i<tbl.length; i++) 
			{
				// alert("Search table " + i);
				var localePlayer = foxfm_getLocale_player();
				var localePosition = foxfm_getLocale_position();
				// get table header of player table --> look for player and position
				tableCell = searchTable(tbl[i], localePlayer, localePosition);
				var rowIndex = tableCell[0];
				var colIndex = tableCell[1];
				
				if(rowIndex>=0)
				{
					// alert("found table " + i);
					var rowCount = tbl[i].rows.length;
					// alert("hit: row " + rowIndex + "; col: " + colIndex);
					// new table header cell for current AWPs
					awpColIndex = 7;

					
					// new table header cell for current Strength
					var localeCurrentStrength = foxfm_getLocale_currentStrength();					
					currStrengthIndex = 8;
					addCell(tbl[i], rowIndex, currStrengthIndex, null, "<p align=center>" + localeCurrentStrength + "</p>", "top", "center", "", "70");
					colspanAdd++;
					
					// new table header cell for diff to next level
					var localeUpDiffToNxtLvl = foxfm_getLocale_upDiffToNxtLvl();					
					diffAwpIndex = 9;
					addCell(tbl[i], rowIndex, diffAwpIndex, null, "<p align=center>" + localeUpDiffToNxtLvl + "</p>", "top", "center", "", "70");
					colspanAdd++;
					
					// new table header cell for next level
					var localeNextStrengthLevel = foxfm_getLocale_nextStrengthLevel();
					nextLvlIndex = 10;
					addCell(tbl[i], rowIndex, nextLvlIndex, null, "<p align=center>" + localeNextStrengthLevel + "</p>", "top", "center", "", "90");
					colspanAdd++;
					//alert("time: " + valueOf()-valueOf());
					
					// prepare arrays to save EPs and TPs of player --> size of array should be the number of row of the current table reduced by the row-number where the header was found
					var tps = new Array(rowCount-rowIndex);
					var eps = new Array(rowCount-rowIndex);
					//alert(tps.length);
					// get TPs and EPs
					for(var j=rowIndex+1; j<rowCount; j++) 
					{
						//alert(j + " von " + rowCount);
						// alert(tbl[i].rows[j].cells[6].innerHTML + " von " + j);	
						var splitResult = tbl[i].rows[j].cells[6].innerHTML.split(" / ");
						var erf = getNumberFromString(splitResult[0]);
						var tra = getNumberFromString(splitResult[1]);
						eps[j] = getNumberFromString(splitResult[0]);
						tps[j] = getNumberFromString(splitResult[1]);
					}
					awps = getAWPs(eps, tps);
					//alert(awps);
					//alert(tbl[i].rows[rowIndex].cells[0].innerHtml);
					
					// get AWPs of current table
					var awps = new Array(rowCount);
					for(var j=rowIndex+1; j<rowCount; j++) 
					{
						// add new column (actually a cell) for AWPs
						var mySplitResult = tbl[i].rows[j].cells[6].innerHTML.split(" / ");
						var erf = getNumberFromString(mySplitResult[0]);
						var tra = getNumberFromString(mySplitResult[1]);
						awps[j] = getAWP(erf, tra);
					}
					
					for(var j=rowIndex+1; j<rowCount; j++) 
					{
						// addCell(tbl[i], j, awpColIndex, null, awps[j].toString(10), "", "center", "");
						// add new column (actually a cell) for Strength-Level				
						for(var k=0; k<gStrengthPoints.length; k++) 
						{		
							strengthPoint = new Number(gStrengthPoints[k].replace(".",""));				
							if(awps[j]<strengthPoint) 
							{
								// find current strength level
								break;
							}
						}
						
						addCell(tbl[i], j, currStrengthIndex, null, k, "", "center", "");
						// get the diff of the current AWP value to the AWP value of the next level
						addCell(tbl[i], j, diffAwpIndex, null, awps[j]-strengthPoint, "", "center", "");
						addCell(tbl[i], j, nextLvlIndex, null, k+1, "", "center", "");
					}
					addColCurrentAWPs(tbl[i], rowIndex, awpColIndex, awps);
					colspanAdd++;
					
					tbl[i].rows[rowIndex-1].cells[0].setAttribute("colspan", tbl[i].rows[rowIndex-1].cells[0].getAttribute("colspan")+colspanAdd);
				}		
			}
		}
	} catch (e) {
		errorMessage(e);
	}
}